IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Info::Interface Class Reference

`#include <info_interface.h>`

Collaboration diagram for Info::Interface:
[legend]

## Public Member Functions
| Interface ()
| ~Interface ()
bool | parse_options (int argc, char **argv)
bool | summary () const
bool | check_node_status () const
bool | compute_volume () const
bool | compute_bbox () const
bool | adjacencies () const
bool | ints_64_bit () const
bool | list_groups () const
bool | show_config () const
int | surface_split_scheme () const
char | field_suffix_separator () const
bool | use_generic_names () const
bool | disable_field_recognition () const
std::string | decomp_method () const
std::string | filename () const
std::string | type () const
std::string | groupname () const

## Private Member Functions
void | enroll_options ()
| Dumps representation of data in this class to cerr. More...

## Private Attributes
Ioss::GetLongOption | options_
std::string | filetype_ {"exodus"}
std::string | filename_
std::string | groupname_
std::string | decompMethod_
bool | checkNodeStatus_ {false}
bool | computeVolume_ {false}
bool | adjacencies_ {false}
bool | ints64Bit_ {false}
bool | computeBBox_ {false}
bool | listGroups_ {false}
bool | useGenericNames_ {false}
bool | disableFieldRecognition_ {false}
bool | showConfig_ {false}
bool | summary_ {false}
char | fieldSuffixSeparator_ {'_'}
int | surfaceSplitScheme_ {1}

## Constructor & Destructor Documentation

## ◆ Interface()

Info::Interface::Interface | ( |  | ) |

## ◆ ~Interface()

Info::Interface::~Interface | ( |  | ) |
| default

## Member Function Documentation

## ◆ adjacencies()

bool Info::Interface::adjacencies | ( |  | ) | const
| inline

## ◆ check_node_status()

bool Info::Interface::check_node_status | ( |  | ) | const
| inline

## ◆ compute_bbox()

bool Info::Interface::compute_bbox | ( |  | ) | const
| inline

## ◆ compute_volume()

bool Info::Interface::compute_volume | ( |  | ) | const
| inline

## ◆ decomp_method()

std::string Info::Interface::decomp_method | ( |  | ) | const
| inline

## ◆ disable_field_recognition()

bool Info::Interface::disable_field_recognition | ( |  | ) | const
| inline

## ◆ enroll_options()

void Info::Interface::enroll_options | ( |  | ) |
| private

Dumps representation of data in this class to cerr.

## ◆ field_suffix_separator()

char Info::Interface::field_suffix_separator | ( |  | ) | const
| inline

## ◆ filename()

std::string Info::Interface::filename | ( |  | ) | const
| inline

## ◆ groupname()

std::string Info::Interface::groupname | ( |  | ) | const
| inline

## ◆ ints_64_bit()

bool Info::Interface::ints_64_bit | ( |  | ) | const
| inline

## ◆ list_groups()

bool Info::Interface::list_groups | ( |  | ) | const
| inline

## ◆ parse_options()

bool Info::Interface::parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ show_config()

bool Info::Interface::show_config | ( |  | ) | const
| inline

## ◆ summary()

bool Info::Interface::summary | ( |  | ) | const
| inline

## ◆ surface_split_scheme()

int Info::Interface::surface_split_scheme | ( |  | ) | const
| inline

## ◆ type()

std::string Info::Interface::type | ( |  | ) | const
| inline

## ◆ use_generic_names()

bool Info::Interface::use_generic_names | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ adjacencies_

bool Info::Interface::adjacencies_ {false}
| private

## ◆ checkNodeStatus_

bool Info::Interface::checkNodeStatus_ {false}
| private

## ◆ computeBBox_

bool Info::Interface::computeBBox_ {false}
| private

## ◆ computeVolume_

bool Info::Interface::computeVolume_ {false}
| private

## ◆ decompMethod_

std::string Info::Interface::decompMethod_
| private

## ◆ disableFieldRecognition_

bool Info::Interface::disableFieldRecognition_ {false}
| private

## ◆ fieldSuffixSeparator_

char Info::Interface::fieldSuffixSeparator_ {'_'}
| private

## ◆ filename_

std::string Info::Interface::filename_
| private

## ◆ filetype_

std::string Info::Interface::filetype_ {"exodus"}
| private

## ◆ groupname_

std::string Info::Interface::groupname_
| private

## ◆ ints64Bit_

bool Info::Interface::ints64Bit_ {false}
| private

## ◆ listGroups_

bool Info::Interface::listGroups_ {false}
| private

## ◆ options_

Ioss::GetLongOption Info::Interface::options_
| private

## ◆ showConfig_

bool Info::Interface::showConfig_ {false}
| private

## ◆ summary_

bool Info::Interface::summary_ {false}
| private

## ◆ surfaceSplitScheme_

int Info::Interface::surfaceSplitScheme_ {1}
| private

## ◆ useGenericNames_

bool Info::Interface::useGenericNames_ {false}
| private

The documentation for this class was generated from the following files:

- src/main/info_interface.h
- src/main/info_interface.C